(Rijeseno) Problem sa Javom na Ubuntu 10.04

(Rijeseno) Problem sa Javom na Ubuntu 10.04

offline
  • mr.ph.
  • Pridružio: 12 Nov 2003
  • Poruke: 202

Imam problem sa instalacijom Java na kompjuteru.Koristim 32-bitni Ubuntu 10.04 i kada sam krenuo da instaliram javu nestalo je struje i od tada nikako da popravim to.

evo sta mi se javlja


XXX@XXX-desktop:~$ sudo apt-get install sun-java6-bin sun-java6-jre sun-java6-jdk sun-java6-plugin
Reading package lists... Done
Building dependency tree
Reading state information... Done
sun-java6-bin is already the newest version.
sun-java6-jre is already the newest version.
sun-java6-jdk is already the newest version.
The following packages were automatically installed and are no longer required:
libaccess-bridge-java-jni libaccess-bridge-java icedtea-6-jre-cacao
openjdk-6-jre-headless tzdata-java openjdk-6-jre-lib ca-certificates-java
Use 'apt-get autoremove' to remove them.
The following NEW packages will be installed:
sun-java6-plugin
0 upgraded, 1 newly installed, 0 to remove and 4 not upgraded.
5 not fully installed or removed.
Need to get 0B/1,850B of archives.
After this operation, 61.4kB of additional disk space will be used.
Selecting previously deselected package sun-java6-plugin.
(Reading database ... 158031 files and directories currently installed.)
Unpacking sun-java6-plugin (from .../sun-java6-plugin_6.20dlj-1ubuntu3_i386.deb) ...
Setting up odbcinst1debian1 (2.2.11-21) ...
dpkg (subprocess): unable to execute installed post-installation script: Exec format error
dpkg: error processing odbcinst1debian1 (--configure):
subprocess installed post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of unixodbc:
unixodbc depends on odbcinst1debian1 (>= 2.2.11-3); however:
Package odbcinst1debian1 is not configured yet.
dpkg: error processing unixodbc (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of sun-java6-bin:
sun-java6-bin depends on unixodbc; however:
Package unixodbc is not configured yet.
dpkg: error processing sun-java6-bin (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of sun-java6-jre:
sun-java6-jre depends on sun-java6-bin (>= 6.20dlj-1ubuntu3) | ia32-sun-java6-bin (>= 6.20dlj-1ubuntu3); however:
Package sun-java6-bin is not configured yet.
Package ia32-sun-java6-bin is not installedNo apport report written because the error message indicates its a followup error from a previous failure.
No apport report written because the error message indicates its a followup error from a previous failure.
No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already
.
dpkg: error processing sun-java6-jre (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of sun-java6-jdk:
sun-java6-jdk depends on sun-java6-bin (>= 6.20dlj-1ubuntu3); however:
Package sun-java6-bin is not configured yet.
dpkg: error processing sun-java6-jdk (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of sun-java6-plugin:
sun-java6-plugin depends on sun-java6-bin (>= 6.20dlj-1ubuntu3); however:
Package sun-java6-bin is not configured yet.
dpkg: error processing sun-java6-plugin (--configure):
dependency problems - leaving unconfigured
Errors were encountered while processing:
odbcinst1debian1
unixodbc
sun-java6-bin
sun-java6-jre
sun-java6-jdk
sun-java6-plugin
E: Sub-process /usr/bin/dpkg returned an error code (1)



Registruj se da bi učestvovao u diskusiji. Registrovanim korisnicima se NE prikazuju reklame unutar poruka.
offline
  • dekao  Male
  • Moderator foruma
  • Dejan Trajković
  • Realist painter
  • Pridružio: 06 Apr 2006
  • Poruke: 3331
  • Gde živiš: Somewhere in time

Probaj sa:

sudo dpkg --configure -a



offline
  • Uroš Ilić
  • dr stom.
  • Pridružio: 08 Jul 2006
  • Poruke: 2182
  • Gde živiš: Beograd

Napisano: 07 Maj 2010 9:30

Probaj prvo da sve to deinstaliras sa sudo apt-get remove --purge sun-java6-bin sun-java6-jre sun-java6-jdk sun-java6-plugin
pa onda uradi sudo apt-get autroremove i onda ponovo sve instaliraj

Dopuna: 07 Maj 2010 9:32

Sad videh sta je dekao pisao,mozes da probas prvo to, ako ne, uradi sta sam ti predlozio.

offline
  • mr.ph.
  • Pridružio: 12 Nov 2003
  • Poruke: 202

Napisano: 07 Maj 2010 11:00

dekao ::Probaj sa:

sudo dpkg --configure -a


ovo mi se javi


XXX@XXX-desktop:~$ sudo dpkg --configure -a
[sudo] password for XXX:
Setting up odbcinst1debian1 (2.2.11-21) ...
dpkg (subprocess): unable to execute installed post-installation script: Exec format error
dpkg: error processing odbcinst1debian1 (--configure):
subprocess installed post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of unixodbc:
unixodbc depends on odbcinst1debian1 (>= 2.2.11-3); however:
Package odbcinst1debian1 is not configured yet.
dpkg: error processing unixodbc (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of sun-java6-bin:
sun-java6-bin depends on unixodbc; however:
Package unixodbc is not configured yet.
dpkg: error processing sun-java6-bin (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of sun-java6-plugin:
sun-java6-plugin depends on sun-java6-bin (>= 6.20dlj-1ubuntu3); however:
Package sun-java6-bin is not configured yet.
dpkg: error processing sun-java6-plugin (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of sun-java6-jre:
sun-java6-jre depends on sun-java6-bin (>= 6.20dlj-1ubuntu3) | ia32-sun-java6-bin (>= 6.20dlj-1ubuntu3); however:
Package sun-java6-bin is not configured yet.
Package ia32-sun-java6-bin is not installed.
dpkg: error processing sun-java6-jre (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of sun-java6-jdk:
sun-java6-jdk depends on sun-java6-bin (>= 6.20dlj-1ubuntu3); however:
Package sun-java6-bin is not configured yet.
dpkg: error processing sun-java6-jdk (--configure):
dependency problems - leaving unconfigured
Errors were encountered while processing:
odbcinst1debian1
unixodbc
sun-java6-bin
sun-java6-plugin
sun-java6-jre
sun-java6-jdk
XXX@XXX-desktop:~$

Dopuna: 07 Maj 2010 11:12

hazmaju ::Napisano: 07 Maj 2010 9:30

Probaj prvo da sve to deinstaliras sa sudo apt-get remove --purge sun-java6-bin sun-java6-jre sun-java6-jdk sun-java6-plugin
pa onda uradi sudo apt-get autroremove i onda ponovo sve instaliraj

Dopuna: 07 Maj 2010 9:32

Sad videh sta je dekao pisao,mozes da probas prvo to, ako ne, uradi sta sam ti predlozio.


evo sta mi se javi:


XXX@XXX-desktop:~$ sudo apt-get remove --purge sun-java6-bin sun-java6-jre sun-java6-jdk sun-java6-plugin
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
java-common icedtea-6-jre-cacao openjdk-6-jre-headless tzdata-java
openjdk-6-jre-lib ca-certificates-java
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
sun-java6-bin* sun-java6-jdk* sun-java6-jre* sun-java6-plugin*
0 upgraded, 0 newly installed, 4 to remove and 6 not upgraded.
6 not fully installed or removed.
After this operation, 165MB disk space will be freed.
Do you want to continue [Y/n]? y
(Reading database ... 158055 files and directories currently installed.)
Removing sun-java6-jdk ...
Purging configuration files for sun-java6-jdk ...
Removing sun-java6-plugin ...
Removing sun-java6-bin ...
Purging configuration files for sun-java6-bin ...
Removing sun-java6-jre ...
Purging configuration files for sun-java6-jre ...
Processing triggers for menu ...
Processing triggers for doc-base ...
Processing 1 removed doc-base file(s)...
Registering documents with scrollkeeper...
Processing triggers for desktop-file-utils ...
Processing triggers for python-gmenu ...
Rebuilding /usr/share/applications/desktop.en_US.utf8.cache...
Processing triggers for shared-mime-info ...
Processing triggers for python-support ...
Setting up odbcinst1debian1 (2.2.11-21) ...
dpkg (subprocess): unable to execute installed post-installation script: Exec format error
dpkg: error processing odbcinst1debian1 (--configure):
subprocess installed post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of unixodbc:
unixodbc depends on odbcinst1debian1 (>= 2.2.11-3); however:
Package odbcinst1debian1 is not configured yet.
dpkg: error processing unixodbc (--configure):
dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
Errors were encountered while processing:
odbcinst1debian1
unixodbc
E: Sub-process /usr/bin/dpkg returned an error code (1)


i nakon autoremove se ovo javi

XXX@XXX-desktop:~$ sudo apt-get autoremove
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
ca-certificates-java icedtea-6-jre-cacao java-common openjdk-6-jre-headless
openjdk-6-jre-lib tzdata-java
0 upgraded, 0 newly installed, 6 to remove and 6 not upgraded.
2 not fully installed or removed.
After this operation, 90.3MB disk space will be freed.
Do you want to continue [Y/n]? y
(Reading database ... 156443 files and directories currently installed.)
Removing icedtea-6-jre-cacao ...
Removing ca-certificates-java ...
Removing openjdk-6-jre-headless ...
Removing openjdk-6-jre-lib ...
Removing java-common ...
Removing tzdata-java ...
Processing triggers for man-db ...
Processing triggers for doc-base ...
Processing 2 removed doc-base file(s)...
Registering documents with scrollkeeper...
Setting up odbcinst1debian1 (2.2.11-21) ...
dpkg (subprocess): unable to execute installed post-installation script: Exec format error
dpkg: error processing odbcinst1debian1 (--configure):
subprocess installed post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of unixodbc:
unixodbc depends on odbcinst1debian1 (>= 2.2.11-3); however:
Package odbcinst1debian1 is not configured yet.
dpkg: error processing unixodbc (--configure):
dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
Errors were encountered while processing:
odbcinst1debian1
unixodbc
E: Sub-process /usr/bin/dpkg returned an error code (1)

offline
  • Uroš Ilić
  • dr stom.
  • Pridružio: 08 Jul 2006
  • Poruke: 2182
  • Gde živiš: Beograd

Uh, brate imas pravi dependency hell. Prvo u Software sources izaberi Main srver, ako vec nije. Posle restartuj masinu i u Grubu izaberi onu drugu opciju (recovery mode), upisi sifru i izaberi opciju fix broken packages ili slicno. Da vidimo da li ce onda biti ok...

offline
  • Pridružio: 20 Feb 2005
  • Poruke: 4505
  • Gde živiš: planeta Zemlja

@M-I-S-T-E-R
Heh ovo nije baš veselo za videti. U najgorem slučaju ćeš morati da ručno uklanjaš paket po paket no to je totalno besmisleno zato što uvek možeš da reinstaliraš sistem za 15min.

Ono što meni pada na pamet sada je brisanje tih paketa koji te muče. Sve komande koje slede se kucaju sa administratorskim privilegijama (dakle sa "sudo" ili "sudo su" (zavisi kako ko voli)). Dakle komanda poput ove bi mogla da reši problem:
apt-get remove --purge odbcinst1debian1 unixodbc
ili da probaš ovako:
dpkg --purge odbcinst1debian1
dpkg --purge unixodbc


Nakon ovih komandi bih ja uradio sledeće kako bih bio siguran 100% da je sve ok:
dpkg --configure -a && apt-get autoremove

Budući da ja ne koristim ubuntu ne bih znao da ti kažem koje sve pakete ovo brisanje može da povuče i da izmeni. Možeš da pustiš simulaciju ovog brisanja da vidimo šta će se konkretno promeniti. Kucaj sledeću komandu za to (za ovo ne moraš biti administrator):
apt-get remove --purge -s odbcinst1debian1 unixodbc

U terminalu će ti izbaciti listu paketa koji će biti izbrisani ali sve će to biti samo simulacija. Izlazne informacije možeš da nam okačiš ovde da pogledamo i da ti kažemo šta dalje da radiš Smile

U principu dalje se sve svodi na sledeće komande:
apt-get clean && apt-get update && apt-get install sun-java6-jre sun-java6-plugin

Eventualno može da ti nedostaje reinstalacija "ubuntu-desktop" paketa koji ima milion međuzavisnosti i smara sve ljude ovog sveta.

Obrati pažnju na sledeće:
- ako želiš samo javu za pokretanje java programa treba ti paket "sun-java6-jre"
- ako želiš da razvijaš java aplikacije i pokrećeš iste onda ti treba "sun-java6-jdk" paket

offline
  • mr.ph.
  • Pridružio: 12 Nov 2003
  • Poruke: 202

Napisano: 07 Maj 2010 13:19

Hajd prvo cu pokusati ovo sto mi je hazmaju predlozio ako ne uspije probat cu Wizardov prijedlog...
hvala momci

Dopuna: 08 Maj 2010 23:37

hazmaju ::Uh, brate imas pravi dependency hell. Prvo u Software sources izaberi Main srver, ako vec nije. Posle restartuj masinu i u Grubu izaberi onu drugu opciju (recovery mode), upisi sifru i izaberi opciju fix broken packages ili slicno. Da vidimo da li ce onda biti ok...

ovo ne pomaze...samo ide na ignore i preskace....


Dopuna: 08 Maj 2010 23:37

.::Wizard::. ::@M-I-S-T-E-R
Heh ovo nije baš veselo za videti. U najgorem slučaju ćeš morati da ručno uklanjaš paket po paket no to je totalno besmisleno zato što uvek možeš da reinstaliraš sistem za 15min.

Ono što meni pada na pamet sada je brisanje tih paketa koji te muče. Sve komande koje slede se kucaju sa administratorskim privilegijama (dakle sa "sudo" ili "sudo su" (zavisi kako ko voli)). Dakle komanda poput ove bi mogla da reši problem:
Kod:
apt-get remove --purge odbcinst1debian1 unixodbc

ili da probaš ovako:
Kod:
dpkg --purge odbcinst1debian1
dpkg --purge unixodbc


Nakon ovih komandi bih ja uradio sledeće kako bih bio siguran 100% da je sve ok:
Kod:
dpkg --configure -a && apt-get autoremove


Budući da ja ne koristim ubuntu ne bih znao da ti kažem koje sve pakete ovo brisanje može da povuče i da izmeni. Možeš da pustiš simulaciju ovog brisanja da vidimo šta će se konkretno promeniti. Kucaj sledeću komandu za to (za ovo ne moraš biti administrator):
Kod:
apt-get remove --purge -s odbcinst1debian1 unixodbc


U terminalu će ti izbaciti listu paketa koji će biti izbrisani ali sve će to biti samo simulacija. Izlazne informacije možeš da nam okačiš ovde da pogledamo i da ti kažemo šta dalje da radiš

U principu dalje se sve svodi na sledeće komande:
Kod:
apt-get clean && apt-get update && apt-get install sun-java6-jre sun-java6-plugin


Eventualno može da ti nedostaje reinstalacija "ubuntu-desktop" paketa koji ima milion međuzavisnosti i smara sve ljude ovog sveta.

Obrati pažnju na sledeće:
- ako želiš samo javu za pokretanje java programa treba ti paket "sun-java6-jre"
- ako želiš da razvijaš java aplikacije i pokrećeš iste onda ti treba "sun-java6-jdk" paket


nemoze ni ovako

evo izlaza ove simulacije:


XXX@XXX-desktop:~$ apt-get remove --purge -s odbcinst1debian1 unixodbc
NOTE: This is only a simulation!
apt-get needs root privileges for real execution.
Keep also in mind that locking is deactivated,
so don't depend on the relevance to the real current situation!
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
odbcinst odbcinst1debian1 unixodbc
0 upgraded, 0 newly installed, 3 to remove and 0 not upgraded.
3 not fully installed or removed.
Remv unixodbc [2.2.11-21]
Remv odbcinst [2.2.11-21] [odbcinst1debian1 ]
Remv odbcinst1debian1 [2.2.11-21]

Dopuna: 11 Maj 2010 21:42

rijesio sam ovo...
otisao u synaptic package manager i stavio na reinstalaciju ova tri problematicna packeta (unixodbc [2.2.11-21] , odbcinst [2.2.11-21] [odbcinst1debian1 ], odbcinst1debian1 [2.2.11-21]) i on to reinstalirao nakon toga instalirao Javu i sad sve pici

XXX@XXX-desktop:~$ java -version
java version "1.6.0_20"
Java(TM) SE Runtime Environment (build 1.6.0_20-b02)
Java HotSpot(TM) Client VM (build 16.3-b01, mixed mode, sharing)

Hvala svima na pomoci...pozzz

Ko je trenutno na forumu
 

Ukupno su 809 korisnika na forumu :: 56 registrovanih, 5 sakrivenih i 748 gosta   ::   [ Administrator ] [ Supermoderator ] [ Moderator ] :: Detaljnije

Najviše korisnika na forumu ikad bilo je 3028 - dana 22 Nov 2019 07:47

Korisnici koji su trenutno na forumu:
Korisnici trenutno na forumu: _Sale, A.R.Chafee.Jr., aleksandar_tatic, aleksandarcipo 2, aljosa7, amaterSRB, Arhiv, arsa, axa, bankulen, BraneS, danilopu, darkangel, Dimitrise93, Dipl.ing., dok80, Dorcolac2, dozorni, Dragan1998, Dusko Nikolin, Futurama, Gama, indja, ivica976, jery2, Koca Popovic, Kubovac, kuntalo, Matija2, matorigile, Mercury, mgaji21, Milan A. Nikolic, misa1xx, misaru, Miskohd, mushroom2, pein, prekodrinski, radoznao2, Raptor12, S-lash, Shomy2, Sr.Stat., Srki94, Toni, vathra, VES 11119, VJ, vlvl, voja64, VP3987, vukdra, XBMC, zoidbergs, zuxbg